#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE calendar access library
Name:           kcalcore
Version: 17.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)

BuildRequires:  kf5-macros
BuildRequires:  kdelibs4support-devel >= 5.12.0

BuildRequires:  pkgconfig(libical)
BuildRequires:  boost-devel
BuildRequires:  bison

%description
KDE calendar access library

#--------------------------------------------------------------------

%define kf5calendarcore_major 5
%define libkf5calendarcore %mklibname kf5calendarcore %{kf5calendarcore_major}

%package -n %libkf5calendarcore
Summary:      KDE calendar access library
Group:        System/Libraries
# mga6: .so.5 library was mistakenly packed in the '4' package, hence the conflict
Obsoletes:    %{_lib}kf5calendarcore4 < 15.12.3-2

%description -n %libkf5calendarcore
KDE calendar access library

%files -n %libkf5calendarcore
%_kf5_libdir/libKF5CalendarCore.so.%{kf5calendarcore_major}
%_kf5_libdir/libKF5CalendarCore.so.%{kf5calendarcore_major}.*

#--------------------------------------------------------------------

%define kf5calendarcore_devel %mklibname kf5calendarcore -d

%package -n %kf5calendarcore_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5calendarcore = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5calendarcore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5calendarcore_devel
%_kf5_includedir/KCalCore
%_kf5_includedir/kcalcore_version.h
%_kf5_libdir/libKF5CalendarCore.so
%_kf5_libdir/cmake/KF5CalendarCore
%_qt5_prefix/mkspecs/modules/qt_KCalCore.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

#find_lang %{name}5 --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 17.12.2-1.mga6
+ Revision: 1202238
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090035
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076771
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071983
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067301
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061360
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050627
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047259
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040022
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012512
- New version 16.04.1

* Sat Apr 23 2016 akien <akien> 16.04.0-3.mga6
+ Revision: 1005556
- Make the previous Conflicts an Obsoletes, better suited

* Sat Apr 23 2016 akien <akien> 16.04.0-2.mga6
+ Revision: 1005551
- Add conflicts against %%{_lib}kf5calendarcore4 which contained libKF5CalendarCore.so.5

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004302
- New version 16.04.0

* Mon Mar 28 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 995829
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991152
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987421
- New version 15.12.2

* Mon Jan 25 2016 luigiwalser <luigiwalser> 15.12.1-2.mga6
+ Revision: 927308
- rebuild for libical

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922590
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911923
- New version 15.12.0

* Sun Nov 29 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 906988
- Rebuild for ARM

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905381
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901117
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890593
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880410
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865928
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863941
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861741
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 858449
- Fix lib name

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858417
- imported package kcalcore

